use std::io::{self, BufRead};


pub fn run() {
    let stdin = io::stdin();
    println!("id name bishop 1.0");
    println!("id author bishop");
    for line_m in stdin.lock().lines() {
        let line = line_m.unwrap();
        let mut split = line.split_whitespace().collect::<Vec<&str>>();
        run_command(split);
    }
}

fn run_command(mut cmd: Vec<&str>) {
    if cmd.len() > 0 {
        let command = cmd[0];
        cmd.drain(0..1);
        match command {
            "uci" => cmd_uci(cmd),
            "isready" => cmd_isready(cmd),
            "register" => cmd_register(cmd),
            _ => {}
        }
    }
}

fn cmd_uci(_args: Vec<&str>) {
    println!("uciok");
}

fn cmd_isready(_args: Vec<&str>) {
    println!("readyok");
}

fn cmd_register(_args: Vec<&str>) {
}








